Public link for latest version of MiVOAS.


Please ensure you have current SWAS enabled for the Site ID before attempting the upgrade or you will not be able to license the software and the services will not run.


Please make sure that the Server and PBX infrastructure meet requirements before carrying out an upgrade:

https://edocs.mitelcommunicationservice.com/appsuitelatest/#Basic_Requirements_(AS).html  


We recommend a full backup of the SQL Databases is carried out before any upgrade work is attempted.

Only a Mitel trained Engineer should attempt an upgrade. If an upgrade is attempted by non-trained engineer and it fails for whatever reason then our standard charges would apply whilst we attempt to fix it.


5.2.28 includes a number of fixes, new features and performance enhancements.


Requirements can be found here 
https://edocs.mitelcommunicationservice.com/appsuitelatest/#Basic_Requirements_(AS).html

Release notes can be found here 
https://edocs.mitelcommunicationservice.com/appsuitelatest/ReleaseNotes.html
 
Latest info can be found here
https://edocs.mitelcommunicationservice.com/appsuitelatest
 
Software can be found here
5.2.28
 
• Please note if using 6900 handsets the minimum version of the MiVO 250 is now 6.3 SP2 and CT Gateway 5.0.64 which is available on the Mitel Website.

• This release includes new Mitel 69XX handset firmware 5.1 SP6 (5.1.0.6044). Now also includes the new Mitel 6970 handset firmware 5.1.1 SP6 (5.1.1.6043)